### Method

# Soup CookieJar add_cookie_full

#### Declaration [src]

    void
    soup_cookie_jar_add_cookie_full (
      SoupCookieJar* jar,
      SoupCookie* cookie,
      GUri* uri,
      GUri* first_party
    )

#### Description [src]

Adds `cookie` to `jar`.

Emits the `SoupCookieJar::changed` signal if we are modifying an existing cookie or adding a valid new cookie (‘valid’ means that the cookie’s expire date is not in the past).

`first_party` will be used to reject cookies coming from third party resources in case such a security policy is set in the `jar`.

`uri` will be used to reject setting or overwriting secure cookies from insecure origins. `NULL` is treated as secure.

`cookie` will be ‘stolen’ by the jar, so don’t free it afterwards.

#### Parameters

`cookie`

  Type: `SoupCookie`

  A `SoupCookie`.

  The instance takes ownership of the data, and is responsible for freeing it.

`uri`

  Type: `GUri`

  The URI setting the cookie.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`first_party`

  Type: `GUri`

  The URI for the main document.

  The argument can be `NULL`.
  The data is owned by the caller of the function.